Bug 834481 - Review Request: lttng-tools - LTTng control and utility programs
Review Request: lttng-tools - LTTng control and utility programs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Tsai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 21:09 EDT by Yannick Brosseau
Modified: 2012-11-07 12:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scottt.tw: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yannick Brosseau 2012-06-21 21:09:01 EDT
Spec URL: http://www.dorsal.polymtl.ca/~ybrosseau/fedora/SPECS/lttng-tools.spec
SRPM URL: http://www.dorsal.polymtl.ca/~ybrosseau/fedora/SRPMS/lttng-tools-2.0.2-1.fc17.src.rpm
Description: This package provides the unified interface to control both the LTTng kernel and userspace (UST) tracers.
Fedora Account System Username: greenscientist
Comment 1 Scott Tsai 2012-07-07 04:11:39 EDT
(In reply to comment #0)

Things I'd like changed in the .spec:

1. Package the latest upstream 2.0.3 release.
http://lttng.org/files/lttng-tools/lttng-tools-2.0.3.tar.bz2

-Version:        2.0.2
+Version:        2.0.3

2. Use %{?dist} instead of %{dist} like most Fedora packages:

-Release:        1%{dist}
+Release:        1%{?dist}

3. Remove BuildRequires systemtap-sdt-devel since it's now been added to lttng-ust-devel

-# This requires is missing from lttng-ust-devel, put it here for now
-BuildRequires:  systemtap-sdt-devel

4. -devel should use {?isa} when requiring the main package:

-Requires:       %{name} = %{version}-%{release}
+Requires:       %{name}%{?_isa} = %{version}-%{release}

5. Indent the %description for main and -devel to not have extra spaces at the front of the line:

 %description
 This package provides the unified interface to control both the LTTng kernel
- and userspace (UST) tracers.
+and userspace (UST) tracers.


 %description -n %{name}-devel
- This package provides the development files to
- implement trace control in external applications
+This package provides the development files to
+implement trace control in external applications


6. Don't ship /usr/lib64/liblttng-ctl.a

Since /usr/bin/lttng-sessiond is dynamically linked and liblttng-ctl is used to control the former on the same machine, I don't think the static library was useful.


-%configure --docdir=%{_docdir}/%{name}
+%configure --docdir=%{_docdir}/%{name} --disable-static

<...>

 %files -n %{name}-devel
 %{_prefix}/include/lttng/*
 %{_libdir}/*.so
-%{_libdir}/*.a

7. Package the lttng bash completion script along with /usr/bin/lttng


 make DESTDIR=%{buildroot} install
 rm -vf %{buildroot}%{_libdir}/*.la
 install -D -m644 %{SOURCE1} %{buildroot}%{_unitdir}/lttng-sessiond.service
+mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
+cp extras/lttng-bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/lttng

<...>


 make DESTDIR=%{buildroot} install
 rm -vf %{buildroot}%{_libdir}/*.la
 install -D -m644 %{SOURCE1} %{buildroot}%{_unitdir}/lttng-sessiond.service
+mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
+cp extras/lttng-bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/lttng

I've uploaded a copy of the .spec with my recommended changes above here: http://scottt.tw/fedora/lttng-tools.spec
Comment 3 Scott Tsai 2012-07-08 03:42:17 EDT
(In reply to comment #2)
I think you forgot to update the .spec file at http://www.dorsal.polymtl.ca/~ybrosseau/fedora/SPECS/lttng-tools.spec the one in the .src.rpm looks fine.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

The rpmlint wanings looks fine to me.
The "userspace" spelling is fine.
I don't get why rpmlint thinks a version of 2.0.2-1 is incoherent.
The bash completion script is indeed not a config file.

rpmlint lttng-tools-devel-2.0.3-1.fc18.i686.rpm

lttng-tools-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint lttng-tools-2.0.3-1.fc18.src.rpm

lttng-tools.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint lttng-tools-2.0.3-1.fc18.i686.rpm

lttng-tools.i686: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
lttng-tools.i686: W: incoherent-version-in-changelog 2.0.2-1 ['2.0.3-1.fc18', '2.0.3-1']
lttng-tools.i686: W: non-conffile-in-etc /etc/bash_completion.d/lttng
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint lttng-tools-debuginfo-2.0.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/scottt/work/lttng/fedora/lttng-tools/lttng-tools-2.0.3.tar.bz2 :
  MD5SUM this package     : 360d0e0e70ed11eda5aa1570ebc9c155
  MD5SUM upstream package : 360d0e0e70ed11eda5aa1570ebc9c155

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

APPROVED.
Comment 4 Yannick Brosseau 2012-07-08 10:58:12 EDT
New Package SCM Request
=======================
Package Name: lttng-tools
Short Description: LTTng control and utility programs
Owners: greenscientist
Branches: f17 el6
InitialCC:
Comment 5 Yannick Brosseau 2012-07-08 11:02:15 EDT
(In reply to comment #3)

> [x]: SHOULD Spec use %global instead of %define.
> 
> APPROVED.

Thanks Scott
Comment 6 Kevin Fenzi 2012-07-10 18:39:03 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-12 09:05:48 EDT
lttng-tools-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lttng-tools-2.0.3-1.fc17
Comment 8 Fedora Update System 2012-07-12 14:59:18 EDT
lttng-tools-2.0.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-07-20 22:55:17 EDT
lttng-tools-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-10-24 03:14:47 EDT
lttng-tools-2.0.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lttng-tools-2.0.4-2.el6
Comment 11 Fedora Update System 2012-11-07 12:29:08 EST
lttng-tools-2.0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.